VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsCallback2Col"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' Guide to the Perplexed: Callback2 Sample
' Copyright (c) 1997 by Desaware Inc.  All Rights Reserved
' Class clsCallback2Col

Option Explicit

' This is the OLE event definition for the
' event combining object. Note that it is in
' a different name space
Event SampleEvent(ByVal objectname$)

' This is the OLE callback method on the main interface
' for the event combining object
Sub SampleEvent(ByVal objectname$)
   RaiseEvent SampleEvent(objectname)
End Sub

' A utility function to initialize the OLE callback
' for the object
Public Sub SetCallbackServer(obj As clsCallback2)
   obj.SetCallback Me
End Sub
